.\"	$NetBSD: obio.4,v 1.7 2003/09/26 23:05:55 mbw Exp $
.\"
.\" Copyright (c) 1997 Colin Wood
.\" Copyright (c) 2003 Alex Zepeda <zipzippy@sonic.net>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Colin Wood
.\"      for the NetBSD Project.
.\"      This product includes software developed by Alex Zepeda.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd September 21, 2003
.Dt OBIO 4 mac68k
.Os
.Sh NAME
.Nm obio
.Nd introduction to Macintosh On-Board IO bus support and drivers
.Sh SYNOPSIS
.Cd "obio0 at mainbus?"
.Sh DESCRIPTION
The
.Nm
interface serves as an abstraction used by the autoconfiguration
system to help find and attach devices (e.g. the Ethernet or disk
controllers) connected to the Macintosh onboard I/O bus.
.Sh HARDWARE
.Nx
includes machine-dependent
.Tn On-Board
drivers, sorted by device type and driver name:
.Ss SCSI interfaces
.Bl -tag -width burgundy -offset indent
.It esp
NCR 53C9x
.Tn SCSI
interfaces.
.It ncrscsi
NCR 5380
.Tn SCSI
interface.
.El
.Ss Disk and tape controllers
.Bl -tag -width burgundy -offset indent
.It iwm
Integrated Woz Machine - Sony based floppy drives.
.It wdc
Standard IDE/ATAPI type hard drive controllers.
.El
.Ss Network interfaces
.Bl -tag -width burgundy -offset indent
.It mc
Apple MACE ethernet interface.
.It sn
Sonic (DP83932, DP83916) based ethernet interfaces.
.El
.Ss Serial interfaces
.Bl -tag -width burgundy -offset indent
.It zsc
Zilog 8530 serial communications interfaces.
.El
.Ss Audio devices
.Bl -tag -width burgundy -offset indent
.It asc
Apple Sound Chip as found on 68k based Macintosh computers.
.El
.Ss Miscellaneous devices
.Bl -tag -width burgundy -offset indent
.It adb
Apple Desktop Bus for keyboards, mice, and other input devices.
.It intvid
Internal video hardware.
.El
.Sh SEE ALSO
.Xr adb 4 ,
.Xr asc 4 ,
.Xr autoconf 4 ,
.Xr esp 4 ,
.Xr intro 4 ,
.Xr intvid 4 ,
.Xr iwm 4 ,
.Xr mc 4 ,
.Xr ncrscsi 4 ,
.Xr sn 4 ,
.Xr wdc 4 ,
.Xr zsc 4
.Sh HISTORY
.Nm
first appeared in
.Nx 1.2 .
